Spree Admin SDK
List customer credit cards
Returns the customer’s saved credit cards. Useful for off-session admin charges via POST /admin/orders/:id/payments { source_id }.
Required scope: read_customers (for API-key authentication).
GET
Spree Admin SDK
Filters
Filter withq[<attribute>_<predicate>]=value, for example q[name_cont]=…. Send a list as q[<attribute>_in][]=a&q[<attribute>_in][]=b. How filters work.
Sort by:
created_at, id, name, updated_at. Prefix a field with - to sort descending.Authorizations
Secret API key for admin access
JWT token for admin user authentication
Path Parameters
Query Parameters
Comma-separated associations to expand (e.g., payment_method). Use dot notation for nested expand (max 4 levels).
Comma-separated list of fields to include (e.g., brand,last4,month,year). id is always included.
Attribute filters, as q[<attribute>_<predicate>]=value. See Filters above for the list.
Response
200 - application/json
credit cards found

